/*
 * TrackPiecePhysicsComponent.cpp
 *
 *  Created on: Aug 27, 2020
 *      Author: fredrick
 */

#include "TrackPiecePhysicsComponent.h"

namespace JamSpook {

TrackPiecePhysicsComponent::TrackPiecePhysicsComponent(mat4 transform,
                                                       shared_ptr<BroadcastObservable<shared_ptr<Message> > > entity,
                                                       weak_ptr<BroadcastObservable<const milliseconds> > physicsSystem,
                                                       weak_ptr<BroadcastObservable<shared_ptr<CollisionStateChangeMessage> > > physicsCollisionSubSystem,
                                                       weak_ptr<BroadcastObservable<shared_ptr<ColliderQueryMessage> > > physicsColliderQuerySubSystem,
                                                       shared_ptr<Collider> collider):
        PhysicsComponent(transform,
                         entity,
                         physicsSystem,
                         physicsCollisionSubSystem,
                         physicsColliderQuerySubSystem,
                         collider)
{}

TrackPiecePhysicsComponent::~TrackPiecePhysicsComponent()
{}

void TrackPiecePhysicsComponent::update(const milliseconds dtms)
{
    PhysicsComponent::update(dtms);
}

void TrackPiecePhysicsComponent::onICCMessage(shared_ptr<Message> message)
{
    PhysicsComponent::onICCMessage(message);
}

void TrackPiecePhysicsComponent::onCollision(const string& tag)
{}

} // namespace JamSpook
